<?php


namespace App\Exports;


use App\Models\Customer;
use App\Models\Unit;
use Maatwebsite\Excel\Concerns\FromCollection;
use Maatwebsite\Excel\Concerns\WithHeadings;

class UnitsForSaleExport  implements FromCollection, WithHeadings
{
    public function headings(): array
    {

        return [
            'ID Number',
            'KRA PIN',
            'Gender',
            'Date of Birth',
            'Email',
            'User ID',
            'Postal Code',
            'Country ID',
            'Phone',
            'Box Address',
            'Location Address',
            'Bank Name',
            'Bank Branch',
            'Account Name',
            'Account No',
            'Currency',
            'SWIFT Code',
            'Bank Slip',
            'Kin Name',
            'Kin ID',
            'Kin KRA PIN',
            'Kin Gender',
            'Kin Email',
            'Kin Phone',
            'Kin Box Address',
            'Kin Location Address',
        ];
    }

    public function collection()
    {
        $units = Unit::query()->get();
        return $units->map(function ($row) {
            return [
                'property_id'=> $row->property->property_name,
                'unit_name'=> $row->unit_name,
                'sale_amount'=> $row->sale_amount,
                'unit_floor'=> $row->unit_floor,
                'unit_type_id'=> $row->unit_type->unit_type_name,
                'total_rooms'=> $row->total_rooms,
                'square_foot'=> $row->square_foot

            ];
        });
    }

}