<?php


namespace App\Filters\Patch\Agent;


use App\Filters\App\Traits\DateRangeFilter;
use App\Filters\FilterBuilder;
use App\Filters\Patch\Traits\CountryFilterTrait;
use App\Filters\Patch\Traits\NameFilterTrait;
use Illuminate\Support\Facades\DB;
use Illuminate\Database\Eloquent\Builder;

class AgentFilter  extends FilterBuilder
{
    use NameFilterTrait,DateRangeFilter,CountryFilterTrait;

    public function search($search = null)
    {
        return $this->builder->when($search, function (Builder $builder) use ($search) {
            $builder->whereHas('user', function (Builder $builder) use ($search) {
                $builder->where('first_name', 'LIKE', "%$search%")
                    ->orWhere('last_name', 'LIKE', "%{$search}%")
                    ->orWhereRaw(DB::raw('CONCAT(`first_name`, " ", `last_name`) LIKE ?'), ["%$search%"]);
            });

        });
    }

}
