<?php


namespace App\Filters\Patch\Customer;


use App\Filters\FilterBuilder;
use App\Filters\Patch\Traits\CountryFilterTrait;
use App\Filters\Patch\Traits\DateRangeFilter;
use App\Filters\Patch\Traits\PhoneFilterTrait;
use App\Models\Patch\Traits\IndividualAgentTrait;
use Illuminate\Support\Facades\DB;
use Illuminate\Database\Eloquent\Builder;


class ClientFilter  extends FilterBuilder
{
    use DateRangeFilter, CountryFilterTrait,PhoneFilterTrait, IndividualAgentTrait;

    public function search($search = null)
    {
        return $this->builder->when($search, function (Builder $builder) use ($search) {
            $builder->whereHas('user', function (Builder $builder) use ($search) {
                $builder->where('first_name', 'LIKE', "%$search%")
                    ->orWhere('last_name', 'LIKE', "%{$search}%")
                   ->orWhereRaw(DB::raw('CONCAT(`first_name`, " ", `last_name`) LIKE ?'), ["%$search%"]);
            });
//            $builder->where('first_name', 'LIKE', "%$search%")
//                ->orWhere('last_name', 'LIKE', "%{$search}%")
//                ->orWhereRaw(DB::raw('CONCAT(`first_name`, " ", `last_name`) LIKE ?'), ["%$search%"]);
        });
    }

}
