<?php


namespace App\Filters\Patch\Document;


use App\Filters\FilterBuilder;
use App\Filters\Patch\Traits\DateRangeFilter;
use App\Filters\Patch\Traits\NameFilterTrait;
use Illuminate\Database\Eloquent\Builder;

class DocumentFilter  extends  FilterBuilder
{

    use NameFilterTrait, DateRangeFilter;

    public function properties($ids = null){
        if ($ids){
            $value = explode(',', $ids);
            return $this->builder->when($value, function (Builder $query) use ($value) {
                $query->whereIn('property_id', $value);
            });
        }
    }

}