<?php


namespace App\Filters\Patch\Units;


use App\Filters\Patch\Traits\DateRangeFilter;
use App\Filters\Traits\UnitNameFilter;
use App\Filters\FilterBuilder;
use Illuminate\Database\Eloquent\Builder;

class UnitBookingFilter  extends FilterBuilder
{

    use  DateRangeFilter;

    public function search($search = null)
    {
        return $this->builder->when($search, function (Builder $builder) use ($search) {
            $builder->whereHas('unit', function (Builder $query) use ($search) {
                $query->where('unit_name', 'LIKE', "%$search%");
            });
        });
    }

}