<?php


namespace App\Http\Controllers\App\AgentLeed;


use App\Filters\Patch\Agent\ProspectFilter;
use App\Http\Controllers\Controller;
use App\Models\Prospect;
use App\Services\Patch\Liason\ProspectService;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;

class UnsuccessfulProspectContoller  extends Controller
{

    public function __construct(ProspectService $service, ProspectFilter $filter)
    {
        $this->service = $service;
        $this->filter = $filter;


    }

    public function index()
    {

        $user = Auth::user();

        $query = Prospect::with([
            'unit:id,unit_name,sale_amount,square_foot,unit_floor',
            'status:id,name,class',
            'payment_status:id,name,class'
        ])->where('status_id',19)->filters($this->filter);

        if (!$user->isAppAdmin()) {
            $query->where('user_id', $user->id);
        }

        return $query->orderBy('id', request()->get('orderBy'))
            ->paginate(request('per_page', 10));
    }


    public function show($id)
    {

        return $this->service->with([
            'unit:unit_name,sale_amount,unit_floor,total_rooms,square_foot',
            'status:id,name,class',
            'payment_status:id,name,class'
        ])->find($id);

    }

    public function store(Request $request)
    {

        $requestData = $request->only(['user_id', 'unit_id', 'status_id', 'payment_status_id', 'client_name', 'email', 'phone',]);
        $requestData['user_id'] = Auth::id();
        $requestData['status_id'] = 18;
        $this->service
            ->setAttributes($requestData)
            ->save();
        return created_responses('crud_response');

    }


    public function update(Prospect $unit,$id)
    {

        $unit = $this->service->find($id);

        $this->service->where('id', $id)->update(\request()->only('status_id'));;

        return updated_responses('crud_response');
    }

    public function destroy(Prospect $prospect)
    {
        $this->service
            ->setModel($prospect)
            ->delete();
        return deleted_responses('crud_response');
    }


}