<?php


namespace App\Http\Controllers\App\Customer;


use App\Filters\Patch\Customer\ClientFilter;
use App\Http\Controllers\Controller;
use App\Models\Customer;
use App\Services\Core\Customer\CustomerService;
use Illuminate\Support\Facades\Auth;

class ClientAgentController  extends Controller
{
    public function __construct(CustomerService $service)
    {
        $this->service = $service;
    }

    public function index()
    {
        $user = Auth::user();

        $query = Customer::with([
            'country:id,name',
            'user' => function ($query) {
                $query->with('profilePicture', 'status:id,name,class', 'profile:id,user_id,address,contact');
            }
        ])->get();

        if (!$user->isAppAdmin()) {
            $query->where('created_by', $user->id);
        }

        return $query;

    }

}