<?php


namespace App\Http\Controllers\App\Invoice;


use App\Http\Controllers\Controller;
use App\Models\Invoice;
use App\Repositories\Core\Setting\SettingRepository;

use PDF;
class InvoiceDownloadController  extends Controller
{
    public function download(Invoice $invoice)
    {
        $invoiceInfo = $invoice->load(['invoiceItems' => function ($query) {
            $query->with(['tax:id,name,value','unit'=>function ($customer) {
                $customer->with('unit:id,unit_name,unit_floor');
            }]);
        }, 'client.profile', 'createdBy.profile']);
        $invoiceInfo->totalTax = $invoiceInfo->invoiceDetails->map(function ($item) {
            $tax = $item->load('tax')->tax ? $item->load('tax')->tax->value : 0;
            return $this->productTaxSum($item->quantity, $item->price, $tax);
        })->sum();

        $invoiceNote = resolve(SettingRepository::class)->getFormattedSettings('app');

        $invoiceInfo->invoice_note = @$invoiceNote['invoice_note'];


        $pdf = PDF::loadView('invoices.invoice-generate', [
            'invoice' => $invoiceInfo
        ]);
        return $pdf->download('invoice' . $invoice->invoice_number . '.pdf');
    }

    protected function productTaxSum($quantity, $price, $taxValue)
    {
        return (($quantity * $price) * ($taxValue / 100));
    }

}