<?php


namespace App\Http\Controllers\App\Properties;


use App\Filters\Patch\Property\PatchPropertyFilter;
use App\Http\Controllers\Controller;
use App\Services\Core\Property\PropertyUnitService;
use App\Services\Patch\Liason\AdminPropertyUnitService;

class AdminPropertyUnitsController  extends Controller
{

    public function __construct(PropertyUnitService $service, PatchPropertyFilter $filter)
    {
        $this->service = $service;
        $this->filter = $filter;
    }

    public function index()
    {
        if (\Request::exists('all')) {
            return $this->service->select('id', 'unit_name', 'sale_amount')->get();
        }
        $orderBy = request()->get('orderBy', 'asc'); // Default to 'asc' if no orderBy parameter is provided

        if (!in_array($orderBy, ['asc', 'desc'])) {
            $orderBy = 'asc'; // Set to default 'asc' if provided orderBy value is invalid
        }
        return $this->service
            ->with(['status:id,name,class', 'property','unit'])
//            ->where('status_id',10)
            ->filters($this->filter)
            ->orderBy('id', $orderBy)
            ->paginate(request('per_page', 10));
    }

    public function show($id)
    {
        return $this->service->with(['status:id,name,class','property','unit'])->find($id);
    }




}