<?php


namespace App\Http\Controllers\App\Properties;


use App\Filters\Patch\Invoice\InvoiceFilter;
use App\Http\Controllers\Controller;

use App\Mail\Patch\TitleCollectNotification;
use App\Models\Customer;
use App\Models\Invoice;
use App\Models\Payment;
use App\Services\Patch\Liason\InvoiceService;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Mail;

class ProcessTitleDeedsController  extends Controller
{
    public function __construct( InvoiceService $service, InvoiceFilter $filter)
    {
        $this->service = $service;
        $this->filter = $filter;
    }

    public function index()
    {
        return $this->service
            ->where('due_amount','<=', 0.00) // Adjusted to check if due_amount is less than or equal to 0.00
            ->with('status:id,name,class', 'title_status:id,name,class','unit', 'client')
            ->filters($this->filter)
            ->orderBy('id', request()->get('orderBy'))
            ->paginate(request('per_page', 10));
    }


    public function store(Request $request)
    {


    }

    public function show($id)
    {
        return $this->service
            ->with([
                'client.profile', 'createdBy.profile',
                'unit:id,unit_name',
                'invoiceItems' => function ($query) {
                    $query->with('tax:id,name,value', 'unit:id,unit_name');
                }
            ])->find($id);

    }

    public function update(Invoice $invoice ,$id)
    {
//        $this->service
//            ->setModel($payment_history)
//            ->setValidation()
//            ->adjustDueAmount()
//            ->setAttributes($request->all())
//            ->update();
//        return updated_responses('payments');


        $invoice = $this->service->find($id);

        $this->service->where('id', $id)->update(\request()->only('title_status_id'));

        $clientId=$invoice->client_id;
        $titleStatusId  = \request()->input('title_status_id'); // Get the new title_status_id from the input

        if ($titleStatusId == 24) {

            $customer=Customer::where('user_id',$clientId)->first();

            if ($customer) {
                $email = $customer->email;
                Mail::to($email)->send(new TitleCollectNotification($invoice));
            }
        }


        return updated_responses('crud_response');

    }


    public function destroy(Payment $payment_history)
    {


    }

}