<?php


namespace App\Http\Controllers\Patch\Liason\Reports;


use App\Exports\InvoiceExport;
use App\Filters\Patch\Invoice\InvoiceFilter;
use App\Filters\Patch\Reports\InvoiceReportFilter;
use App\Http\Controllers\Controller;
use App\Services\Patch\Liason\InvoiceReportService;
use Maatwebsite\Excel\Facades\Excel;

class InvoiceReportController  extends Controller
{
    public function __construct(InvoiceReportService $service, InvoiceFilter $filter //InvoiceReportFilter $filter
    )
    {
        $this->service = $service;
        $this->filter = $filter;
    }
    public function index()
    {
        return $this->service
            //->with('status', 'client', '')
            ->with([
                'status:id,name,class',
                'client:id,first_name,last_name',
                'recurringCycle:id,name',
                'unit:id,unit_name,property_id',
                'unit.property:id,project_name,property_name'
            ])
            ->filters($this->filter)
            ->paginate(request('per_page', 10));
    }

    public function export()
    {
        return Excel::download(new InvoiceExport($this->filter), 'invoice_statement_report.csv',\Maatwebsite\Excel\Excel::CSV);
    }

}
