<?php


namespace App\Http\Controllers\Patch\Liason\Reports;


use App\Filters\Patch\Reports\PaymentSummaryFilter;
use App\Http\Controllers\Controller;
use App\Services\Patch\Liason\PaymentSummaryReportService;

class PaymentSummaryController  extends Controller
{
    public function __construct(PaymentSummaryReportService $service, PaymentSummaryFilter $filter)
    {
        $this->service = $service;
        $this->filter = $filter;
    }


    public function index()
    {
        return $this->service
            ->whereHas('invoice', function ($query) {
                $query->when(!auth()->user()->can('show_all_data'), function ($query) {
                    $query->where('client_id', auth()->id());
                });
            })->with('paymentMethod', 'invoice.client')
            ->filters($this->filter)
            ->paginate(request('per_page', 10));
    }

    public function unitPayments($unitId)
    {
        return $this->service
            ->whereHas('invoice', function ($query) use ($unitId) {
                $query->where('unit_id', $unitId);
            })
            ->with('paymentMethod', 'payment_status')
            ->filters($this->filter)
            ->orderBy('id', 'desc')
            ->paginate(request('per_page', 10));
    }

}
