<?php


namespace App\Imports\Patch;


use App\Models\Unit;
use Maatwebsite\Excel\Concerns\ToModel;
use Maatwebsite\Excel\Concerns\WithHeadingRow;

class UnitsImport  implements ToModel, WithHeadingRow
{
    protected $propertyId;
    protected $unitName;

    public function __construct($propertyId, $unitName)
    {
        $this->propertyId = $propertyId;
        $this->unitName = $unitName;
    }

    public function model(array $row)
    {
        return new Unit([
            'property_id' => $this->propertyId,
            'unit_name' => $this->unitName,
            'status_id' => 10,
            'unit_type_id' => $row['unit_type_id'],
            'sale_amount' => $row['sale_amount'],
            'unit_floor' => $row['unit_floor'],
            'total_rooms' => $row['total_rooms'],
            'square_foot' => $row['square_foot'],
        ]);
    }

}