<?php


namespace App\Mail\Patch;
use Illuminate\Bus\Queueable;
use Illuminate\Mail\Mailable;
use Illuminate\Queue\SerializesModels;
use Illuminate\Contracts\Queue\ShouldQueue;


class MonthlyStatementMail extends Mailable
{
    use Queueable, SerializesModels;

    public $pdf;
    public $invoice;
    public $payments;

    public function __construct($pdf, $invoice, $payments)
    {
        $this->pdf = $pdf;
        $this->invoice = $invoice;
        $this->payments = $payments;
    }

    public function build()
    {
        return $this->subject('Monthly Statement')
            ->view('emails.statement_email')
            ->attachData($this->pdf, 'monthly_statement.pdf', [
                'mime' => 'application/pdf',
            ])
            ->with([
                'invoice' => $this->invoice,
                'payments' => $this->payments,
            ]);
    }
}