<?php


namespace App\Models;

use App\Models\Core\BaseModel;
use App\Models\Patch\Tax\Tax;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Relations\BelongsTo;



class InvoiceItem extends BaseModel
{
    use HasFactory;


//    protected $table = 'invoice_items';
//
//
//    protected $primaryKey = 'id';


    protected $fillable = [
        'invoice_id',
        'unit_id',
        'quantity',
        'price',
        'tax_id',
    ];

    public function invoice()
    {
        return $this->belongsTo(Invoice::class, 'invoice_id');
    }

    public function unit(): BelongsTo
    {
        return $this->belongsTo(UnitBooking::class, 'unit_id');
    }

    public function product(): BelongsTo
    {
        return $this->belongsTo(Unit::class, 'unit_id');
    }
    public function tax(): BelongsTo
    {
        return $this->belongsTo(Tax::class, 'tax_id');
    }
}
