<?php


namespace App\Models;


use App\Models\Core\Auth\User;
use App\Models\Core\BaseModel;
use App\Models\Core\File\File;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Relations\BelongsTo;

class KycDocument   extends BaseModel
{
    use HasFactory;



    protected $fillable = [
        'customer_id',
        'user_id',
        'user_type',
        'name',
        'description',
    ];

    public function attachment()
    {
        return $this->morphOne(File::class, 'fileable');
    }

    public function user(): BelongsTo
    {
        return $this->belongsTo(User::class);
    }

    public function customer(): BelongsTo
    {
        return $this->belongsTo(Customer::class,'customer_id', 'user_id');
    }

    public function agent(): BelongsTo
    {
        return $this->belongsTo(Agent::class,'customer_id', 'user_id');
    }

}