<?php


namespace App\Models\Patch\User;

use App\Models\Agent;
use App\Models\Core\Auth\User as CoreUser;
use App\Models\Customer;
use App\Models\Invoice;
use Illuminate\Database\Eloquent\Relations\HasMany;
use Illuminate\Database\Eloquent\Relations\HasOne;


class User extends CoreUser
{
    public function agent(): HasOne
    {
        return $this->hasOne(Agent::class, 'user_id');
    }

    public function clients(): HasOne
    {
        return $this->hasOne(Customer::class, 'user_id');
    }



    public function invoices(): HasMany
    {
        return $this->hasMany(Invoice::class, 'agent_id');
    }


    public function invoice(): HasMany
    {
        return $this->hasMany(Invoice::class, 'client_id');
    }


}
