<?php


namespace App\Models;


use App\Models\Core\BaseModel;
use App\Models\Core\Status;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Relations\BelongsTo;

class ReservedUnitPayment extends BaseModel
{
    use HasFactory;

    protected $fillable = [
        'created_by',
        'unit_id',
        'status_id',
        'payment_status_id',
        'property_id',
        'amount',
        'note',
        'client_name',
        'email',
        'phone',
        'reference_number',
        'payment_mode',
    ];


    public function unit()
    {
        return $this->belongsTo(Unit::class, 'unit_id');
    }

//    public function agent(): BelongsTo
//    {
//        return $this->belongsTo(Agent::class);
//    }

    public function status(): BelongsTo
    {
        return $this->belongsTo(Status::class);
    }

    public function payment_status(): BelongsTo
    {
        return $this->belongsTo(Status::class);
    }

    public function property()
    {
        return $this->belongsTo(Property::class, 'property_id');
    }

    public function user()
    {
        return $this->belongsTo(\App\Models\Patch\User\User::class, 'created_by');
    }


}