<?php


namespace App\Repositories\Core\Agent;

use App\Models\Agent;
use App\Repositories\Core\BaseRepository;

class AgentRepository  extends BaseRepository
{
    protected $agent;


    /**
     * PostRepository constructor.
     *
     * @param Agent $agent
     */
    public function __construct(Agent $agent)
    {
        $this->agent = $agent;
    }

    /**
     * Get all agents.
     *
     * @return Agent $agent
     */

    public function getAll()
    {
        return $this->agent
            ->get();
    }

    /**
     * Get  by id
     *
     * @param $id
     * @return mixed
     */
    public function getById($id)
    {
        return $this->agent
            ->where('id', $id)
            ->get();
    }


    public function save($data)
    {
        $post = new $this->agent;
        $post->user_id = 3;
        $post->first_name = $data['first_name'];
        $post->last_name = $data['last_name'];
        $post->gender = $data['gender'];
        $post->kra_pin = $data['kra_pin'];
        $post->sales_agent_code = $data['sales_agent_code'];
        $post->bank_name = $data['bank_name'];
        $post->bank_branch = $data['bank_branch'];
        $post->account_name = $data['account_name'];
        $post->account_no = $data['account_no'];
        $post->currency = $data['currency'];
        $post->swift_code = $data['swift_code'];
        $post->save();

        return $post->fresh();
    }

    /**
     * Update
     *
     * @param $id
     * @return Agent
     */
    public function delete($id)
    {

        $post = $this->agent->find($id);
        $post->delete();

        return $post;
    }



}
