<?php


namespace App\Repositories\Core\Customer;


use App\Models\Customer;
use App\Repositories\Core\BaseRepository;

class CustomerRepository extends BaseRepository
{
    protected $customer;


    /**
     * PostRepository constructor.
     *
     * @param Customer $customer
     */
    public function __construct(Customer $customer)
    {
        $this->customer = $customer;
    }

    /**
     * Get all customers.
     *
     * @return Customer $customer
     */

    public function getAll()
    {
        return $this->customer
            ->get();
    }

    /**
     * Get  by id
     *
     * @param $id
     * @return mixed
     */
    public function getById($id)
    {
        return $this->customer
            ->where('id', $id)
            ->get();
    }


    public function save($data)
    {
        $post = new $this->customer;
        $post->first_name = $data['first_name'];
        $post->last_name = $data['last_name'];
        $post->id_number = $data['id_number'];
        $post->kra_pin = $data['kra_pin'];
        $post->gender = $data['gender'];
        $post->dob = $data['dob'];
        $post->email = $data['email'];
        $post->phone = $data['phone'];
        $post->box_address = $data['box_address'];
        $post->location_address = $data['location_address'];
        $post->bank_name = $data['bank_name'];
        $post->bank_branch = $data['bank_branch'];
        $post->account_name = $data['account_name'];
        $post->account_no = $data['account_no'];
        $post->currency = $data['currency'];
        $post->swift_code = $data['swift_code'];
        $post->bank_slip = $data['bank_slip'];
        $post->kin_name = $data['kin_name'];
        $post->kin_id = $data['kin_id'];
        $post->kin_kra_pin = $data['kin_kra_pin'];
        $post->kin_gender = $data['kin_gender'];
        $post->kin_email = $data['kin_email'];
        $post->kin_phone = $data['kin_phone'];
        $post->kin_box_address = $data['kin_box_address'];
        $post->kin_location_address = $data['kin_location_address'];

        $post->save();

        return $post->fresh();
    }


    /**
     * Update
     *
     * @param $id
     * @return Customer
     */
    public function delete($id)
    {

        $post = $this->customer->find($id);
        $post->delete();

        return $post;
    }




}
