<?php


namespace App\Services\Patch\Liason;


use App\Helpers\Core\Traits\FileHandler;
use App\Helpers\Core\Traits\HasWhen;
use App\Models\KycDocument;
use App\Services\Patch\ApplicationBaseService;

class KycService  extends ApplicationBaseService
{

    use FileHandler, HasWhen;
    public function __construct(KycDocument $title)
    {
        $this->model = $title;
    }

    public function checkValidation(): self
    {
        validator(request()->all(), [
            'name' => 'required|max:191',
            'attachment' => 'required|file|mimes:jpeg,jpg,gif,png,doc,docx,pdf,zip|max:10240', // 10 MB max size

        ],[
        ])->validate();

        return $this;
    }

    public function saveAttachment($file): self
    {
        $this->deleteFile(optional($this->model->file)->path);

        $file_path = $this->storeFile(
            $file,
            'kyc'
        );

        $this->model->attachment()->updateOrCreate([
            'type' => 'kyc',
        ], [
            'path' => $file_path
        ]);

        return $this;
    }

    public function deleteAttachment(): self
    {
        $this->deleteFile(optional($this->model->attachment)->path);

        return $this;
    }
    public function deleteAttachmentData(): self
    {
        $this->model->attachment()->delete();

        return $this;
    }


}