<?php


namespace App\Services\Patch\Liason;



use App\Helpers\Core\Traits\FileHandler;
use App\Helpers\Core\Traits\HasWhen;
use App\Models\Unit;
use App\Services\Patch\ApplicationBaseService;

class UnitPropertyService  extends ApplicationBaseService
{
    use HasWhen, FileHandler;

    public function __construct(Unit $unit)
    {
        $this->model = $unit;
    }


    public function setValidation(): self
    {
        $id = $this->model->id ?: '';
        validator(request()->all(), [
            'unit_name' => 'required|max:191',
            'property_id' => 'required|max:191' . $id,
        ])->validate();

        return $this;
    }

    public function image($request): self
    {
        $this->unlinkImage();

        $file_path = $this->uploadImage(
            $request,
            'unit'
        );
        $this->model->file()->updateOrCreate([
            'type' => 'unit',
        ], [
            'path' => $file_path
        ]);

        return $this;
    }

    public function unlinkImage(): self
    {
        $this->deleteImage(optional($this->model->file)->path);

        return $this;
    }

    public function deleteFileDatabase(): self
    {
        $this->model->file()->delete();

        return $this;
    }


}
