import AppFunction from "../../core/helpers/app/AppFunction";
import {CLIENT_LIST, PROPERTY_LEADS} from "../Config/PatchApiUrls";
import {FormMixin} from "../../core/mixins/form/FormMixin";
import {DeleteMixins, ModalMixins} from "./patch/DeleteMixins";
import {countries} from "./patch/FilterMixins";
import {mapGetters} from "vuex";
import * as actions from '../Config/ApiUrl';

export default {
    mixins: [FormMixin, DeleteMixins, ModalMixins, countries],

    data(){

        return{
            tableId: 'leads-table',
            rowData: {},
            options:{
                url: PROPERTY_LEADS,
                name: this.$t('property_leads'),
                filters: [
                    {
                        'title': this.$t('created'),
                        'type': 'range-picker',
                        'key': 'date',
                        'option': ['today', 'thisMonth', 'last7Days', 'nextYear']
                    }
                ],
                columns: [
                    {
                        title: this.$t('lead_no'),
                        type: 'text',
                        key: 'lead_no',
                    },
                    {
                        title: this.$t('l_posting_date'),
                        type: 'text',
                        key: 'posting_date',
                    },
                    {
                        title: this.$t('l_document_date'),
                        type: 'text',
                        key: 'document_date',
                    },

                    {
                        title: this.$t('units_allocated'),
                        type: 'text',
                        key: 'units_allocated',
                    },

                    {
                        title: this.$t('l_total_cost'),
                        type: 'text',
                        key: 'total_cost',
                    },


                    {
                        title: this.$t('actions'),
                        type: 'action'
                    }
                ],
                actions: [
                    {
                        title: this.$t('edit'),
                        type: 'edit',
                        modifier: () => this.$can("update_customers"),
                    },
                    {
                        title: this.$t('delete'),
                        type: 'delete',
                        modifier: () => this.$can("delete_customers"),
                    }
                ],
                rowLimit: 10,
                orderBy: 'desc',
                responsive: true,
                showHeader: true,
                showFilter: true,
                showSearch: true,
                showAction: true,
                tableShadow: true,
                actionType: 'dropdown',
                datatableWrapper: true,
                paginationType: 'pagination'




            }

        }

    },
    computed:{

    },


    methods:{
        getListAction(rowData, actionObj) {
            this.selectUrl = `${PROPERTY_LEADS}/${rowData.id}`;
            if (actionObj.type === 'edit') {
                this.isModalActive = true;
            } else if (actionObj.type === 'delete') {
                this.confirmationModalActive = true;
            }
        },
    },

    mounted() {
    }

}
