import { axiosGet } from "../../../app/Helpers/AxiosHelper";

const state = {
    individualTypes: [],
};

const getters = {
    getIndividualType: (state) => {
        return state.individualTypes;
    },
};

const actions = {
    getIndividualType({ commit }, id) {
        const endpoint = `/unit-properties/${id}`;
        axiosGet(endpoint)
            .then(({ data }) => {
                commit('INDIVIDUAL_INFO', data);
            })
            .catch((error) => console.log(error));
    },
};

const mutations = {
    INDIVIDUAL_INFO(state, data) {
        state.individualTypes = data;
    },
};

export default {
    state,
    getters,
    actions,
    mutations,
};
