import {axiosGet} from "../../../app/Helpers/AxiosHelper";

const state = {
    properties: []
};

const getters = {
    getProperty: state => {
        return state.properties
    }
};

const actions = {
    getProperty({commit}) {
        axiosGet('properties/all').then(({data}) => {
            commit('PROPERTY_INFO', data)
        }).catch((error) => console.log(error));
    },
};

const mutations = {
    PROPERTY_INFO(state, data) {
        state.properties = data;
    }
};

export default {
    state,
    getters,
    actions,
    mutations
}
