<?php

use App\Http\Controllers\App\Customer\ClientAgentController;
use App\Http\Controllers\App\Customer\CustomerController;
use App\Http\Controllers\Patch\Liason\CustomerListController;
use Illuminate\Support\Facades\Route;

Route::group(['middleware' => ['auth', 'authorize']], function () {
    Route::apiResource('clients', CustomerController::class);
    Route::apiResource('client/all', CustomerListController::class);
    Route::get('clients-invoice/{id}', [CustomerController::class, 'clientInvoices'])->name('invoice_details.client');
    Route::get('clients-sole-units/{id}', [CustomerController::class, 'clientUnits'])->name('invoice_details.booking');


    Route::get('export-client', [CustomerController::class, 'exportClients'])->name('client.exports');
    Route::post('import-client', [CustomerController::class, 'importClients'])->name('client.imports');
    Route::get('clients-agents', [ClientAgentController::class,'index'])->name('client-agents');

});
