<?php

use App\Http\Controllers\App\Settings\SettingsApiController;
use App\Http\Controllers\Patch\Invoice\InvoiceRangeFilterController;
use App\Http\Controllers\Patch\Liason\SupportApiController;
use App\Http\Controllers\Patch\PaymentRangeFilterController;
use App\Http\Controllers\Patch\Setting\CronJobSettingController;
use App\Http\Controllers\Patch\Setting\EmailDeliveryCheckController;
use App\Http\Controllers\Patch\User\PatchUserController;
use Illuminate\Support\Facades\Route;
Route::group(['middleware' => ['auth', 'authorize']], function () {
    Route::get('all-taxes', [SupportApiController::class, 'taxes']);
    Route::get('recurring-cycle', [SupportApiController::class, 'recurringCycle']);
    Route::get('all-invoice', [SupportApiController::class, 'invoice']);
    Route::get('invoice-show/{invoice}', [SupportApiController::class, 'invoiceShow'])->middleware('individual_behavior');

    Route::get('all-payment-method', [SupportApiController::class, 'paymentMethod']);
    Route::get('client-users', [SupportApiController::class, 'clientUser']);
    Route::get('agent-users', [SupportApiController::class, 'agentUser']);
    Route::get('all-currency', [SupportApiController::class, 'currency']);
    Route::get('all-units', [SupportApiController::class, 'unit']);
    Route::get('all-leads', [SupportApiController::class, 'leads']);
    Route::get('all-properties', [SupportApiController::class, 'property']);
    Route::get('invoice-number', [SupportApiController::class, 'invoiceNumber']);
    Route::get('system-roles', [SupportApiController::class, 'roles']);
    Route::get('invoice-summation', [SupportApiController::class, 'invoiceSummation']);
    Route::get('payment-summation', [SupportApiController::class, 'paymentSummation']);
    Route::patch('stop-recurring/{invoice}', [SupportApiController::class, 'stopRecurring']);
    Route::get('cache/clear', [SupportApiController::class, 'cacheClear']);
    Route::get('check-mail-delivery-setting', [EmailDeliveryCheckController::class, 'isExists'])
        ->name('check_mail_delivery_setting');
    Route::get('settings/cronjob', [CronJobSettingController::class, 'index']);
    Route::delete('billar/user-delete/{user}', [PatchUserController::class, 'userDelete']);
    Route::get('general-settings', [SettingsApiController::class, 'index']);
    Route::get('invoice-range-filter', [InvoiceRangeFilterController::class, 'rangeFilter']);
    Route::get('payment-range-filter', [PaymentRangeFilterController::class, 'rangeFilter']);

});
