<?php

use App\Http\Controllers\App\Customer\KyCustomerController;
use App\Http\Controllers\App\Documents\Legal\OfferLetterDocumentUploadController;
use App\Http\Controllers\App\Documents\Legal\SaleAgreementDocumentUploadController;
use App\Http\Controllers\App\Properties\ProjectDocumentsController;
use App\Http\Controllers\App\TitleDeed\TitleDeedController;
use Illuminate\Support\Facades\Route;

Route::group(['middleware' => ['auth', 'authorize']], function () {

    Route::apiResource('title', TitleDeedController::class);
    Route::apiResource('offer-letter-upload', OfferLetterDocumentUploadController::class);
    Route::apiResource('sale-agreement-upload', SaleAgreementDocumentUploadController::class);
});

Route::get('/kyc-docs/client/{clientId}', [KyCustomerController::class, 'customerKyc']);
Route::get('/kyc-docs/agent/{agentId}', [KyCustomerController::class, 'agentKyc']);
Route::apiResource('kyc-docs', KyCustomerController::class);
Route::apiResource('/project-docs', ProjectDocumentsController::class);


